Bug 2486 - printing/printing.c: enumerated type mixed with another type
Summary: printing/printing.c: enumerated type mixed with another type
Status: CLOSED FIXED
Alias: None
Product: Samba 3.0
Classification: Unclassified
Component: Printing (show other bugs)
Version: 3.0.11
Hardware: SGI IRIX
: P3 normal
Target Milestone: none
Assignee: Gerald (Jerry) Carter
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-03-18 11:21 UTC by Jason Mader (mail bounces back)
Modified: 2005-08-24 10:22 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Mader (mail bounces back) 2005-03-18 11:21:32 UTC
Compiling printing/printing.c
cc-1185 cc: WARNING File = printing/printing.c, Line = 255
  An enumerated type is mixed with another type.

        return get_printer_fns_from_type( lp_printing(snum) );
                                          ^

cc-1185 cc: WARNING File = printing/printing.c, Line = 1404
  An enumerated type is mixed with another type.

        type = lp_printing(snum);
             ^
Comment 1 Jason Mader (mail bounces back) 2005-03-18 11:28:52 UTC
Warning on line 1404, enum printing_types type;
    type = lp_printing(snum);

defined in include/proto.h
    int lp_printing(int );
Comment 2 Gerald (Jerry) Carter 2005-03-22 07:50:28 UTC
fixed by defaulting to int.  Fixing the use of enumerated types
in loadparm.c for the lp_XX() is a bug job.  Maybe later.
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:22:35 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.